#include<iostream>

using namespace std;

int main(){
int N, indeksprvev, indeksposlednjev, tezina, max, min, M;
cin >> N;
cin >> M;
int v [N] [2];
for(int i = 0; i < N; i++)
{
cin >> v [i] [0];
cin >> v [i] [1];
}
int r1 [M];
for(int M1 = 0; M1 < M; M1++)
{
int zbirvaga = 0;
cin >> indeksprvev;
cin >> indeksposlednjev;
cin >> tezina;
for(int i = indeksprvev - 1; i < indeksposlednjev; i++)
{
min = v [i] [0];
max = v [i] [1];
if(min <= tezina and max >= tezina){
zbirvaga++;
}
}
if(zbirvaga > 0){
r1 [M1] = zbirvaga;
}
else{
r1 [M1] = 0;
}
}
for(int i = 0; i < M; i++){
cout << r1 [i] << endl;
}
	return 0;
}